import type { GetResourcesRequest, ModuleResources } from '@alfalab/scripts-modules';
import { ModulesConfig } from './types';
export declare function createGetModulesMethod<FrameworkParams extends unknown[] = [], GetResourcesParams = void>(modules: ModulesConfig<FrameworkParams, GetResourcesParams>): {
    method: string;
    path: string;
    handler: (getResourcesRequest: GetResourcesRequest<GetResourcesParams>, ...params: FrameworkParams) => Promise<ModuleResources>;
};
